﻿local addon = ...

local frame = CreateFrame("Frame", addon .. "ConfigFrame", InterfaceOptionsFramePanelContainer)
frame.name = addon
frame:Hide()
frame:SetScript("OnShow", function(frame)
frame:SetWidth(500)
frame:SetHeight(500)

local title = frame:CreateFontString(nil, "ARTWORK", "GameFontNormalLarge")
title:SetPoint("TOPLEFT", 16, -16)
title:SetText("CoW_Clock Config")

local subtitle = frame:CreateFontString(nil, "ARTWORK", "GameFontHighlightSmall")
subtitle:SetHeight(35)
subtitle:SetPoint("TOPLEFT", title, "BOTTOMLEFT", 0, -8)
subtitle:SetPoint("RIGHT", frame, -32, 0)
subtitle:SetNonSpaceWrap(true)
subtitle:SetJustifyH("LEFT")
subtitle:SetJustifyV("TOP")
subtitle:SetText("SoW_Clock 의 설정들을 수정 할 수 있습니다.")
  
  -- 정시 알림 설정
CreateFrame("CheckButton", "SoW_Clock_OptionsFrame_OClockWindow", frame, "InterfaceOptionsCheckButtonTemplate")
SoW_Clock_OptionsFrame_OClockWindow:SetPoint("TOPLEFT", 16, -60)
SoW_Clock_OptionsFrame_OClockWindowText:SetText("정시 알림")
SoW_Clock_OptionsFrame_OClockWindow:SetScript("OnClick", function(self)
    if SoW_Clock.OClock then
        SoW_Clock.OClock = false
    else
        SoW_Clock.OClock = true
    end
        self:SetChecked(SoW_Clock.OClock)
end)

  -- 전투중 툴팁 비활성화 설정
CreateFrame("CheckButton", "SoW_Clock_OptionsFrame_Combat", frame, "InterfaceOptionsCheckButtonTemplate")
SoW_Clock_OptionsFrame_Combat:SetPoint("TOPLEFT", 126, -60)
SoW_Clock_OptionsFrame_CombatText:SetText("전투 중 툴팁 비활성화")
SoW_Clock_OptionsFrame_Combat:SetScript("OnClick", function(self)
    if SoW_Clock.CombatToolTipRemove then
        SoW_Clock.CombatToolTipRemove = false
    else
        SoW_Clock.CombatToolTipRemove = true
    end
    self:SetChecked(SoW_Clock.CombatToolTipRemove)
end)

  -- 필드 전장 알림 설정
CreateFrame("CheckButton", "SoW_Clock_OptionsFrame_BattleField", frame, "InterfaceOptionsCheckButtonTemplate")
SoW_Clock_OptionsFrame_BattleField:SetPoint("TOPLEFT", 276, -60)
SoW_Clock_OptionsFrame_BattleFieldText:SetText("전장 대기 시간 알림")
SoW_Clock_OptionsFrame_BattleField:SetScript("OnClick", function(self)
    if SoW_Clock.BattleField then
        SoW_Clock.BattleField = false
    else
        SoW_Clock.BattleField = true
    end
    self:SetChecked(SoW_Clock.BattleField)
end)
SoW_Clock_OptionsFrame_BattleField:SetScript("OnEnter", function(self)
  GameTooltip:SetOwner(self, "ANCHOR_NONE");
  GameTooltip:ClearAllPoints();
  GameTooltip:SetPoint("TOPLEFT", self, "BOTTOMLEFT");
  GameTooltip:ClearLines();
  GameTooltip:AddLine("|cFFFFFFFF전장 시작 5분전에 알려줍니다.|r")
  GameTooltip:Show()
end)
SoW_Clock_OptionsFrame_BattleField:SetScript("OnLeave", function(self)
  GameTooltip:Hide()
end)

  -- CPU 사용비율 표시 설정
CreateFrame("CheckButton", "SoW_Clock_CPUUsageCheckBox", frame, "InterfaceOptionsCheckButtonTemplate")
SoW_Clock_CPUUsageCheckBox:SetPoint("TOPLEFT", 16, -90)
SoW_Clock_CPUUsageCheckBoxText:SetText("CPU 사용 비율 표시")
SoW_Clock_CPUUsageCheckBox:SetScript("OnClick", function(self)
    if SoW_Clock.CPUUsage then
        SoW_Clock.CPUUsage = false
        ConsoleExec("ScriptProfile 0");
    else
        SoW_Clock.CPUUsage = true
        ConsoleExec("ScriptProfile 1");
    end
    print("|cFF00AAFFS|cFFFFFFFFo|cFF00AAFFW|r |cFF00AAFFC|cFFFFFFFFlock : |r와우 클라이언트를 재시작 하여야 CPU 사용 비율 설정이 정상 적용됩니다.")
    self:SetChecked(SoW_Clock.CPUUsage)
end)
SoW_Clock_CPUUsageCheckBox:SetScript("OnEnter", function(self)
  GameTooltip:SetOwner(self, "ANCHOR_NONE");
  GameTooltip:ClearAllPoints();
  GameTooltip:SetPoint("TOPLEFT", self, "BOTTOMLEFT");
  GameTooltip:ClearLines();
  GameTooltip:AddLine("|cFFFFFFFF게임 내 렉이 심할 경우 이 옵션을 해제하세요.|r")
  GameTooltip:Show()
end)
SoW_Clock_CPUUsageCheckBox:SetScript("OnLeave", function(self)
  GameTooltip:Hide()
end)

	-- Scale slider
local ScaleText = frame:CreateFontString(nil, "ARTWORK", "GameFontNormal")
ScaleText:SetPoint("TOPLEFT", 16, -135)
ScaleText:SetText("크기 비율")
CreateFrame("Slider", "SoW_Clock_ScaleSlider", frame, "OptionsSliderTemplate")
SoW_Clock_ScaleSlider:SetWidth(200)
SoW_Clock_ScaleSlider:SetHeight(16)
SoW_Clock_ScaleSlider:SetPoint("TOPLEFT", 25, -160)
SoW_Clock_ScaleSliderText:SetFormattedText("%d%%", SoW_Clock.Scale*100)
SoW_Clock_ScaleSliderLow:SetText("50%")
SoW_Clock_ScaleSliderHigh:SetText("200%")
SoW_Clock_ScaleSlider:SetMinMaxValues(50, 200)
SoW_Clock_ScaleSlider:SetValueStep(1)
SoW_Clock_ScaleSlider:SetScript("OnValueChanged", function(self, value)
    SoW_Clock_ScaleSliderText:SetFormattedText("%d%%", value)
    SoW_Clock.Scale = value/100
  if not SoW_Clock_Frame == nil then
	  SoW_Clock_Frame:SetScale(value / 100)
	end
end)
	
	-- 애드온 표시 갯수 slider
local TipListText = frame:CreateFontString(nil, "ARTWORK", "GameFontNormal")
TipListText:SetPoint("TOPLEFT", 16, -200)
TipListText:SetText("애드온 표시 갯수")
CreateFrame("Slider", "SoW_Clock_TipListSlider", frame, "OptionsSliderTemplate")
SoW_Clock_TipListSlider:SetWidth(200)
SoW_Clock_TipListSlider:SetHeight(16)
SoW_Clock_TipListSlider:SetPoint("TOPLEFT", 25, -225)
if SoW_Clock.TipList ~= 0 then
    SoW_Clock_TipListSliderText:SetFormattedText("%d 개", SoW_Clock.TipList)
else
    SoW_Clock_TipListSliderText:SetFormattedText("툴팁 비활성화")
end
SoW_Clock_TipListSliderLow:SetText("0(툴팁 비활성)")
SoW_Clock_TipListSliderHigh:SetText("50개")
SoW_Clock_TipListSlider:SetMinMaxValues(0, 50)
SoW_Clock_TipListSlider:SetValueStep(1)
SoW_Clock_TipListSlider:SetScript("OnValueChanged", function(self, value)
    if value ~= 0 then
        SoW_Clock_TipListSliderText:SetFormattedText("%d 개", value)
    else
        SoW_Clock_TipListSliderText:SetFormattedText("툴팁 비활성화")
    end
    SoW_Clock.TipList = value
end)
	
	-- 와우UI 사용량 경고 slider
local MemSizeText = frame:CreateFontString(nil, "ARTWORK", "GameFontNormal")
MemSizeText:SetPoint("TOPLEFT", 315, -135)
MemSizeText:SetText("와우 UI 메모리 경고량")
CreateFrame("Slider", "SoW_Clock_MemSizeSlider", frame, "OptionsSliderTemplate")
SoW_Clock_MemSizeSlider:SetWidth(200)
SoW_Clock_MemSizeSlider:SetHeight(16)
SoW_Clock_MemSizeSlider:SetPoint("TOPLEFT", 260, -160)
if SoW_Clock.MemSize ~= 0 then
    SoW_Clock_MemSizeSliderText:SetFormattedText("%d MiB", SoW_Clock.TipList)
else
    SoW_Clock_MemSizeSliderText:SetFormattedText("경고 비활성화")
end
SoW_Clock_MemSizeSliderLow:SetText("0(비활성화)")
SoW_Clock_MemSizeSliderHigh:SetText("50MiB")
SoW_Clock_MemSizeSlider:SetMinMaxValues(0, 50)
SoW_Clock_MemSizeSlider:SetValueStep(1)
SoW_Clock_MemSizeSlider:SetScript("OnValueChanged", function(self, value)
    if value ~= 0 then
        SoW_Clock_MemSizeSliderText:SetFormattedText("%d MiB", value)
    else
        SoW_Clock_MemSizeSliderText:SetFormattedText("경고 비활성화")
    end
    SoW_Clock.MemSize = value
end)
	
	-- 자동 청소 간격 설정 slider
local CleanTimeText = frame:CreateFontString(nil, "ARTWORK", "GameFontNormal")
CleanTimeText:SetPoint("TOPLEFT", 315, -200)
CleanTimeText:SetText("메모리 자동 청소 간격")
CreateFrame("Slider", "SoW_Clock_CleanTimeSlider", frame, "OptionsSliderTemplate")
SoW_Clock_CleanTimeSlider:SetWidth(200)
SoW_Clock_CleanTimeSlider:SetHeight(16)
SoW_Clock_CleanTimeSlider:SetPoint("TOPLEFT", 260, -225)
if SoW_Clock.CleanTime ~= 0 then
    SoW_Clock_CleanTimeSliderText:SetFormattedText("%d 분", SoW_Clock.CleanTime)
else
    SoW_Clock_CleanTimeSliderText:SetFormattedText("자동 청소 비활성")
end
SoW_Clock_CleanTimeSliderLow:SetText("0(비활성화)")
SoW_Clock_CleanTimeSliderHigh:SetText("60분")
SoW_Clock_CleanTimeSlider:SetMinMaxValues(0, 60)
SoW_Clock_CleanTimeSlider:SetValueStep(1)
SoW_Clock_CleanTimeSlider:SetScript("OnValueChanged", function(self, value)
    if value ~= 0 then
        SoW_Clock_CleanTimeSliderText:SetFormattedText("%d 분", value)
    else
        SoW_Clock_CleanTimeSliderText:SetFormattedText("자동 청소 비활성")
    end
	SoW_Clock.CleanTime = value
end)
	
CreateFrame("Frame", "SoW_Clock_TimeTypeDropDown", frame, "UIDropDownMenuTemplate")
SoW_Clock_TimeTypeDropDown:SetPoint("TOPLEFT", 6, -285)
SoW_Clock_TimeTypeDropDown:CreateFontString("SoW_Clock_TimeTypeDropDownLabel", "BACKGROUND", "GameFontNormalSmall")
SoW_Clock_TimeTypeDropDownLabel:SetPoint("BOTTOMLEFT", SoW_Clock_TimeTypeDropDown, "TOPLEFT", 21, 1)
SoW_Clock_TimeTypeDropDownLabel:SetText("시각 표시 방식")
SoW_Clock_TimeTypeDropDown.initialize = function()
local function onClick(self)
    UIDropDownMenu_SetSelectedValue(SoW_Clock_TimeTypeDropDown, self.value)
  	SoW_Clock.TimeType = self.value
end	
local info = {}
    wipe(info)
    info.text = "12시간 표시 단위"
    info.value = 0
    info.func = onClick
    UIDropDownMenu_AddButton(info)
    	
    wipe(info)
    info.text = "24시간 표시 단위"
    info.value = 1
    info.func = onClick
    UIDropDownMenu_AddButton(info)
end
	
CreateFrame("Frame", "SoW_Clock_TipSetDropDown", frame, "UIDropDownMenuTemplate")
SoW_Clock_TipSetDropDown:SetPoint("TOPLEFT", 160, -285)
SoW_Clock_TipSetDropDown:CreateFontString("SoW_Clock_TipSetDropDownLabel", "BACKGROUND", "GameFontNormalSmall")
SoW_Clock_TipSetDropDownLabel:SetPoint("BOTTOMLEFT", SoW_Clock_TipSetDropDown, "TOPLEFT", 21, 1)
SoW_Clock_TipSetDropDownLabel:SetText("애드온 목록 정렬 방식")
SoW_Clock_TipSetDropDown.initialize = function()
local function onClick(self)
    UIDropDownMenu_SetSelectedValue(SoW_Clock_TipSetDropDown, self.value)
  	SoW_Clock.TipSet = self.value
end
local info = {}		
    wipe(info)
    info.text = "메모리 사용량 비율"
    info.value = 0
    info.func = onClick
    UIDropDownMenu_AddButton(info)
  		
    wipe(info)
    info.text = "CPU 사용량 비율"
    info.value = 1
    info.func = onClick
    UIDropDownMenu_AddButton(info)
end

CreateFrame("Frame", "SoW_Clock_TimeSetTypeDropDown", frame, "UIDropDownMenuTemplate")
SoW_Clock_TimeSetTypeDropDown:SetPoint("TOPLEFT", 314, -285)
SoW_Clock_TimeSetTypeDropDown:CreateFontString("SoW_Clock_TimeSetTypeDropDownLabel", "BACKGROUND", "GameFontNormalSmall")
SoW_Clock_TimeSetTypeDropDownLabel:SetPoint("BOTTOMLEFT", SoW_Clock_TimeSetTypeDropDown, "TOPLEFT", 21, 1)
SoW_Clock_TimeSetTypeDropDownLabel:SetText("시각 기준 방식")
SoW_Clock_TimeSetTypeDropDown.initialize = function()
local function onClick(self)
    UIDropDownMenu_SetSelectedValue(SoW_Clock_TimeSetTypeDropDown, self.value)
  	SoW_Clock.TimeSetType = self.value
end	
local info = {}
    wipe(info)
    info.text = "클라이언트 시각 사용"
    info.value = 0
    info.func = onClick
    UIDropDownMenu_AddButton(info)
    	
    wipe(info)
    info.text = "서버 시각 사용"
    info.value = 1
    info.func = onClick
    UIDropDownMenu_AddButton(info)
    
    wipe(info)
    info.text = "UTC 사용"
    info.value = 2
    info.func = onClick
    UIDropDownMenu_AddButton(info)
end

CreateFrame("Frame", "SoW_Clock_ShowTypeDropDown", frame, "UIDropDownMenuTemplate")
SoW_Clock_ShowTypeDropDown:SetPoint("TOPLEFT", 6, -335)
SoW_Clock_ShowTypeDropDown:CreateFontString("SoW_Clock_ShowTypeDropDownLabel", "BACKGROUND", "GameFontNormalSmall")
SoW_Clock_ShowTypeDropDownLabel:SetPoint("BOTTOMLEFT", SoW_Clock_ShowTypeDropDown, "TOPLEFT", 21, 1)
SoW_Clock_ShowTypeDropDownLabel:SetText("시계 표시 방식")
SoW_Clock_ShowTypeDropDown.initialize = function()
local function onClick(self)
    UIDropDownMenu_SetSelectedValue(SoW_Clock_ShowTypeDropDown, self.value)
  	SoW_Clock.ShowType = self.value
  	if SoW_Clock.ShowType == 0 then
      print("|cFF00AAFFS|cFFFFFFFFo|cFF00AAFFW|r |cFF00AAFFC|cFFFFFFFFlock : |r재접속하거나 UI 재시작을 하여야 시계 프레임이 활성화됩니다.")
  	end
end	
local info = {}
    wipe(info)
    info.text = "시계 + 브로커"
    info.value = 0
    info.func = onClick
    UIDropDownMenu_AddButton(info)
    	
    wipe(info)
    info.text = "브로커"
    info.value = 1
    info.func = onClick
    UIDropDownMenu_AddButton(info)
end

CreateFrame("Frame", "SoW_Clock_BrokerShowSetDropDown", frame, "UIDropDownMenuTemplate")
SoW_Clock_BrokerShowSetDropDown:SetPoint("TOPLEFT", 160, -335)
SoW_Clock_BrokerShowSetDropDown:CreateFontString("SoW_Clock_BrokerShowSetDropDownLabel", "BACKGROUND", "GameFontNormalSmall")
SoW_Clock_BrokerShowSetDropDownLabel:SetPoint("BOTTOMLEFT", SoW_Clock_BrokerShowSetDropDown, "TOPLEFT", 21, 1)
SoW_Clock_BrokerShowSetDropDownLabel:SetText("브로커 표시 방식")
SoW_Clock_BrokerShowSetDropDown.initialize = function()
local function onClick(self)
    UIDropDownMenu_SetSelectedValue(SoW_Clock_BrokerShowSetDropDown, self.value)
  	SoW_Clock.BrokerShowSet = self.value
end
local info = {}		
    wipe(info)
    info.text = "시계"
    info.value = 0
    info.func = onClick
    UIDropDownMenu_AddButton(info)
  		
    wipe(info)
    info.text = "프레임"
    info.value = 1
    info.func = onClick
    UIDropDownMenu_AddButton(info)

    wipe(info)
    info.text = "메모리"
    info.value = 2
    info.func = onClick
    UIDropDownMenu_AddButton(info)

    wipe(info)
    info.text = "네트워크 정보"
    info.value = 3
    info.func = onClick
    UIDropDownMenu_AddButton(info)

    wipe(info)
    info.text = "프레임 + 메모리 + 핑"
    info.value = 4
    info.func = onClick
    UIDropDownMenu_AddButton(info)
    
    wipe(info)
    info.text = "시계 + 프레임 + 메모리 + 핑"
    info.value = 5
    info.func = onClick
    UIDropDownMenu_AddButton(info)
    
    wipe(info)
    info.text = "겨울손아귀 타이머"
    info.value = 6
    info.func = onClick
    UIDropDownMenu_AddButton(info)

    wipe(info)
    info.text = "바라딘 요새 타이머"
    info.value = 7
    info.func = onClick
    UIDropDownMenu_AddButton(info)
    
    wipe(info)
    info.text = "겨손 + 바요 타이머"
    info.value = 8
    info.func = onClick
    UIDropDownMenu_AddButton(info)
end
	
	  -- 설정 초기화
CreateFrame("Button", "SoW_Clock_OptionsFrame_ResetWTF", frame, "OptionsButtonTemplate")
SoW_Clock_OptionsFrame_ResetWTF:SetPoint("BOTTOMRIGHT", -16, 39)
SoW_Clock_OptionsFrame_ResetWTF:SetWidth(155)
SoW_Clock_OptionsFrame_ResetWTF:SetText("SoW_Clock 설정 초기화")
SoW_Clock_OptionsFrame_ResetWTF:SetScript("OnClick", function(self)
    SoW_Clock.MemSet = 0; -- 메모리 표시 종류 설정| 0=통합, 1=애드온, 2=와우기본UI
    SoW_Clock.MemSize = 25; -- 경고 시작할 메모리 용량
    SoW_Clock.TipSet = 0; -- 툴팁 표시 설정 | 0 = 메모리, 1 = CPU
    SoW_Clock.TipList = 30; -- 애드온 표시 리스트 갯수 설정
    SoW_Clock.TimeType = 0; -- 시간 표시 방법 설정 | 0 = 12시간 단위, 1 = 24시간 단위
    SoW_Clock.Scale = 1; -- 애드온의 크기 비율
    SoW_Clock.OClock = true; -- 정시 알림 소리 설정 | false = 미사용, true = 사용
    SoW_Clock.CleanTime = 5; -- 자동 메모리 정리 간격 | 단위는 분, 0일 경우 미사용
    SoW_Clock.CombatToolTipRemove = true; -- 전투중 툴팁 비활성화 | true = 비활성화, false = 활성화
    SoW_Clock.TimeSetType = 0; -- 0 = 클라이언트, 1 = 서버, 2 = UTC
    SoW_Clock.ShowType = 0; -- 0 = 시계 + 브로커, 1 = 브로커
    SoW_Clock.BrokerShowSet = 0; -- 0 = 시계, 1 = 프레임, 2 = 메모리, 3 = 핑, 4 = 프레임+메모리+핑, 5 = 겨손 타이머, 6 = 바요 타이머
    SoW_Clock.BattleField = false; -- 전장 대기 알림 설정
    SoW_Clock.CPUUsage = true; -- CPU 사용 비율 표시 설정
end)
  
  -- UI 재시작
CreateFrame("Button", "SoW_Clock_OptionsFrame_ResetUI", frame, "OptionsButtonTemplate")
SoW_Clock_OptionsFrame_ResetUI:SetPoint("BOTTOMRIGHT", -16, 14)
SoW_Clock_OptionsFrame_ResetUI:SetWidth(155)
SoW_Clock_OptionsFrame_ResetUI:SetText("블리자드 UI 재시작")
SoW_Clock_OptionsFrame_ResetUI:SetScript("OnClick", function(self)
    ReloadUI();
end)
  
  -- 블로그 주소 표시
CreateFrame("Button", "URLFrame", frame) 
URLFrame:SetPoint("BOTTOMLEFT", 14, 14)
URLFrame:SetHeight(30)
URLFrame:SetWidth(200)
local URLShadowText = frame:CreateFontString(nil, "OVERLAY")
URLShadowText:SetPoint("BOTTOMLEFT", 17, 15)
URLShadowText:SetFont("Interface\\AddOns\\SoW_Clock\\Font\\HARLOWSI.TTF", 26)
URLShadowText:SetTextColor(1,1,1)
URLShadowText:SetText("http://lusiyan.wo.tc")
local URLText = frame:CreateFontString(nil, "OVERLAY")
URLText:SetPoint("BOTTOMLEFT", 16, 16)
URLText:SetFont("Interface\\AddOns\\SoW_Clock\\Font\\HARLOWSI.TTF", 26)
URLText:SetTextColor(0,0.6,1)
URLText:SetText("http://lusiyan.wo.tc")
URLFrame:SetScript("OnClick", function()
    SoW_Clock_URL_At_ChatBox()
end)



local Refresh;
function Refresh()
    if not frame:IsVisible() then 
        return 
    end
    
    UIDropDownMenu_SetSelectedValue(SoW_Clock_TimeTypeDropDown, SoW_Clock.TimeType)
    if( SoW_Clock.TimeType == 0 ) then
        SoW_Clock_TimeTypeDropDownText:SetText("12시간 표시 단위")
    elseif( SoW_Clock.TimeType == 1 ) then
        SoW_Clock_TimeTypeDropDownText:SetText("24시간 표시 단위")
    end
    UIDropDownMenu_SetSelectedValue(SoW_Clock_TipSetDropDown, SoW_Clock.TipSet)
    if( SoW_Clock.TipSet == 0 ) then
        SoW_Clock_TipSetDropDownText:SetText("메모리 사용량 비율")
    elseif( SoW_Clock.TipSet == 1 ) then
        SoW_Clock_TipSetDropDownText:SetText("CPU 사용량 비율")
    end
    UIDropDownMenu_SetSelectedValue(SoW_Clock_TimeSetTypeDropDown, SoW_Clock.TimeSetType)
    if( SoW_Clock.TimeSetType == 0 ) then
        SoW_Clock_TimeSetTypeDropDownText:SetText("클라이언트 시각 사용")
    elseif( SoW_Clock.TimeSetType == 1 ) then
        SoW_Clock_TimeSetTypeDropDownText:SetText("서버 시각 사용")
    elseif( SoW_Clock.TimeSetType == 2 ) then
        SoW_Clock_TimeSetTypeDropDownText:SetText("UTC 사용")
    end
    UIDropDownMenu_SetSelectedValue(SoW_Clock_ShowTypeDropDown, SoW_Clock.ShowType)
    if( SoW_Clock.ShowType == 0 ) then
        SoW_Clock_ShowTypeDropDownText:SetText("시계 + 브로커")
    elseif( SoW_Clock.ShowType == 1 ) then
        SoW_Clock_ShowTypeDropDownText:SetText("브로커")
    end
    UIDropDownMenu_SetSelectedValue(SoW_Clock_BrokerShowSetDropDown, SoW_Clock.BrokerShowSet)
    if( SoW_Clock.BrokerShowSet == 0 ) then
        SoW_Clock_BrokerShowSetDropDownText:SetText("시계")
    elseif( SoW_Clock.BrokerShowSet == 1 ) then
        SoW_Clock_BrokerShowSetDropDownText:SetText("프레임")
    elseif( SoW_Clock.BrokerShowSet == 2 ) then
        SoW_Clock_BrokerShowSetDropDownText:SetText("메모리")
    elseif( SoW_Clock.BrokerShowSet == 3 ) then
        SoW_Clock_BrokerShowSetDropDownText:SetText("네트워크 정보")
    elseif( SoW_Clock.BrokerShowSet == 4 ) then
        SoW_Clock_BrokerShowSetDropDownText:SetText("프레임 + 메모리 + 핑")
    elseif( SoW_Clock.BrokerShowSet == 5 ) then
        SoW_Clock_BrokerShowSetDropDownText:SetText("시계 + 프레임 + 메모리 + 핑")
    elseif( SoW_Clock.BrokerShowSet == 6 ) then
        SoW_Clock_BrokerShowSetDropDownText:SetText("겨울손아귀 타이머")
    elseif( SoW_Clock.BrokerShowSet == 7 ) then
        SoW_Clock_BrokerShowSetDropDownText:SetText("바라딘 요새 타이머")
    elseif( SoW_Clock.BrokerShowSet == 8 ) then
        SoW_Clock_BrokerShowSetDropDownText:SetText("겨손 + 바요 타이머")
    end
    SoW_Clock_OptionsFrame_OClockWindow:SetChecked(SoW_Clock.OClock)
    SoW_Clock_OptionsFrame_Combat:SetChecked(SoW_Clock.CombatToolTipRemove)
    SoW_Clock_OptionsFrame_BattleField:SetChecked(SoW_Clock.BattleField)
    SoW_Clock_CPUUsageCheckBox:SetChecked(SoW_Clock.CPUUsage)
    SoW_Clock_ScaleSlider:SetValue(SoW_Clock.Scale*100)
    SoW_Clock_TipListSlider:SetValue(SoW_Clock.TipList)
    SoW_Clock_MemSizeSlider:SetValue(SoW_Clock.MemSize)
    SoW_Clock_CleanTimeSlider:SetValue(SoW_Clock.CleanTime)
end

frame:SetScript("OnShow", Refresh) 
    Refresh()
end)

InterfaceOptions_AddCategory(frame)


function SoW_Clock_URL_At_ChatBox()
	ChatFrame1EditBox:SetText("http://lusiyan.wo.tc")
	if not ChatFrame1EditBox:IsShown() then
	  ChatFrame1EditBox:Show();
	end
	
	ChatFrame1EditBox:HighlightText()
end
